Page MenuHomePhabricator

Get PSR-3 patches merged and in use on WMF cluster
Closed, ResolvedPublic

Description

Follow up on code review feedback for PSR-3 logging patches and support release through beta and into production use.

Event Timeline

bd808 created this task.Oct 24 2014, 4:44 AM
bd808 claimed this task.
bd808 raised the priority of this task from to Medium.
bd808 updated the task description. (Show Details)
bd808 added a project: Librarization.
bd808 changed Security from none to None.
bd808 updated the task description. (Show Details)
bd808 moved this task from Untriaged to In Dev on the Librarization board.
bd808 added a subscriber: bd808.

The keystone patch that makes PSR-3 required for core https://gerrit.wikimedia.org/r/#/c/119941/ has been merged. There were a few Jenkins related bumps and bruises caused by this, but that seems to have been fixed by https://gerrit.wikimedia.org/r/#/c/169925/. Next step will be to create a monolog configuration to test in beta (T845).

bd808 moved this task from In Dev to Needs Review on the Librarization board.Dec 10 2014, 11:06 PM
bd808 moved this task from Needs Review to Done on the Librarization board.Jan 18 2015, 9:42 PM
bd808 moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
bd808 closed this task as Resolved.Jan 20 2015, 10:12 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.